<div *ngIf="countries.length === 0;else table" class="alert alert-warning text-center">
  No hay paises que mostrar
</div>

<ng-template #table>
  <table class="table table-hover">
    <thead>
      <tr>
        <th>#</th>
        <th>Icon</th>
        <th>Bandera</th>
        <th>Nombre</th>
        <th>Capital</th>
        <th>Poblacion</th>
        <th></th>
      </tr>
    </thead>

    <tbody>
      <tr *ngFor="let country of countries; let i = index">
        <td>{{i+1}}</td>
        <td>{{country.flag}}</td>
        <td><img [src]="country.flags.svg" [alt]="country.flags.alt"></td>
        <td>{{country.name.common}}</td>
        <td>{{country.capital}}</td>
        <td>{{country.population | number}}</td>
        <td><a [routerLink]="['/countries/by', country.cca3]">Ver mas</a></td>
      </tr>
    </tbody>
  </table>
</ng-template>